<nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a href="/tickets">Tickets</a></li>
      <li class="breadcrumb-item active" aria-current="page">Edit History</li>
    </ol>
  </nav>
    

  <div class="w-75 mx-auto">

      <div class="input-group mb-3">
          <div class="input-group-prepend">
            <span class="input-group-text" id="basic-addon1">Ticket</span>
          </div>
          <input value="{{ticketHistoryData.ticket.id}}" readonly type="text" class="form-control" placeholder="Ticket" aria-label="Ticket" aria-describedby="basic-addon1">
        </div>

      <div class="input-group mb-3">
          <div class="input-group-prepend">
            <label class="input-group-text" for="inputGroupSelectKind">Kind</label>
          </div>
          <select [(ngModel)]="ticketHistoryData.kind" class="custom-select" id="inputGroupSelectKind">
            <option value="1" selected>Comment</option>
            <option value="2">Work Report</option>
          </select>
        </div>
 

        <div class="input-group mb-3">
            <div class="input-group-prepend">
              <span class="input-group-text" id="basic-addon1">Description</span>
            </div>
            <input [(ngModel)]="ticketHistoryData.description" type="text" class="form-control" placeholder="Description" aria-label="Description" aria-describedby="basic-addon1">
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
              <label class="input-group-text" for="inputGroupSelectTechnical">Technical</label>
            </div>
            <select [(ngModel)]="ticketHistoryData.technical" class="custom-select" id="inputGroupSelectTechnical" (change)="checkIfNewTechnical($event.target.value)">
                <option value="-1">Add a new Technical</option>
              <option *ngFor="let p of users; let i=index;" value="{{p.id}}">{{p.name}}</option>
            </select>
          </div>

          <div class="input-group mb-3">
              <div class="input-group-prepend">
                <label class="input-group-text" for="inputGroupSelectStartedAt">Started At</label>
              </div>
              <input type='date' #myDate [(ngModel)]='ticketHistoryData.startedAtDate' class="form-control" placeholder="Started At" aria-label="Started At" aria-describedby="basic-addon1"/><br>
              <input type='time' #myDate [(ngModel)]='ticketHistoryData.startedAtTime' class="form-control" placeholder="Started At" aria-label="Started At" aria-describedby="basic-addon1"/><br>
            </div>
          
            <div class="input-group mb-3">
                <div class="input-group-prepend">
                  <label class="input-group-text" for="inputGroupSelectEndedAt">Ended At</label>
                </div>
                <input type='date' #myDate [(ngModel)]='ticketHistoryData.endedAtDate' class="form-control" placeholder="Ended At" aria-label="Ended At" aria-describedby="basic-addon1"/><br>
                <input type='time' #myDate [(ngModel)]='ticketHistoryData.endedAtTime' class="form-control" placeholder="Ended At" aria-label="Ended At" aria-describedby="basic-addon1"/><br>
                
              </div>
              
            </div>

      

  <div class="w-75 mx-auto text-right">
      <button (click)="updateTicketHistory()" class="btn btn-success btn-sm">Save</button>&nbsp;
      <a href="/tickets" class="btn btn-danger btn-sm">Cancel</a>
    </div>
  